#include<bits/stdc++.h>
#define ll long long
using namespace std;
int N,X[100005],Y[100005],res=0,u;
queue<int> nule;
int main(){
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    cin>>N;
    for(int i=1;i<=N;i++){
        cin>>u;
        X[u]++;
        cin>>u;
        Y[u]++;
    }
    for(int i=1;i<=N;i++)
        if(X[i]==0)
            nule.push(i);
    for(int i=1;i<=N;i++)
        while(X[i]>1){
            res+=abs(i-nule.front());
            X[i]--;
            nule.pop();
        }
    for(int i=1;i<=N;i++)
        if(Y[i]==0)
            nule.push(i);
    for(int i=1;i<=N;i++)
        while(Y[i]>1){
            res+=abs(i-nule.front());
            Y[i]--;
            nule.pop();
        }
    cout<<res<<endl;
    return 0;
}